using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Models
{
    /// <summary>
    /// RCU 基本信息
    /// </summary>
    [Table("TBL_RCU_BASIC_INFO")]
    public class TBL_RCU_BASIC_INFO
    {
        /// <summary>
        /// RCUid
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("RCUid,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int RCU_ID { get; set; }
        /// <summary>
        /// MAC
        /// </summary>
        [Required, Column(TypeName = "nvarchar(50)"), Comment("MAC")]
        public string MAC { get; set; }
        /// <summary>
        /// UUID
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("UUID")]
        public string UUID { get; set; }
        /// <summary>
        /// 商标
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("商标")]
        public string BRAND { get; set; }
        /// <summary>
        /// 机型
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("机型")]
        public string MODEL { get; set; }
        /// <summary>
        /// 核心模组
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("核心模组")]
        public string CORE_MODUEL { get; set; }
        /// <summary>
        /// 注册时间插入时自动赋值
        /// </summary>
        [Column(TypeName = "datetime"), Comment("注册时间")]
        public DateTime REGISTER_DATE { get; set; } = DateTime.Now;
        /// <summary>
        /// 注册状态
        /// </summary>
        [Required, Column(TypeName = "int"), Comment("注册状态")]
        public int REGISTER_STATUS { get; set; } = 0;
        /// <summary>
        /// 密钥
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("密钥")]
        public string UDP_KEY { get; set; }

        /// <summary>
        /// 记录更新时间
        /// </summary>
       [Column(TypeName = "datetime"), Comment("记录更新时间")]
        public DateTime? UPDATE_TIMEMARK { get; set; } = DateTime.Now;

        /// <summary>
        /// 是否巫工导入 0 1导入
        /// </summary> 
        [Column(TypeName = "int"), Comment("是否巫工导入")]
        public int IsImport { get; set; }

        /// <summary>
        /// 是否注册
        /// </summary>
        [Column(TypeName = "int"), Comment("是否注册")]
        public int ISREGISTRATION { get; set; }
    }
}
